Subject: [Simple] Comments on draft-isomaki-simple-xcap-publish-usage-00

From: "George Foti (QA/EMC)" <[email-masked]>
Date: Tue, 2 Mar 2004 18:46:45 -0600

Hi Markus,

I have some comments on your draft:

1) Although you indicate that this should be used only for hard states, what is there to prevent users from manipulating other presence states in there through XCAP.

2) XCAP is meant to be used for documents that are created to take advantage of the defined XCAP rules for HTTP URI creation. Which XML presence documents in particular are you proposing that they get manipulated by XCAP.  
How do you ensure that the current XCAP rules are suffiicient for the purpose you have in mind. I also doubt that you can use the current XML presence documents (PIDF and extensions) for XCAP purposes as is. For example, should there not be the element mandatory-ns, in there, as per the XCAP framework.

3) Is this template meant to be a generic template to be used by all applications that want to use XCAP.

4) Finally, I believe that there are other, out-of-band means, to accomplish your goals, i.e. manipulate hard states, without the unwarranted complexities that the draft creates. Thus, there must be explicit references in the draft to that fact.  

/gf
Ericsson Canada

This communication is confidential and intended solely for the addressee(s). Any unauthorized review, use, disclosure or distribution is prohibited. If you believe this message has been sent to you in error, please notify the sender by replying to this transmission and delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption, interruption, unauthorized amendment, tampering and viruses, and we only send and receive e-mails on the basis that we are not liable for any such corruption, interception, amendment, tampering or viruses or any consequences thereof.